%global debug_package   %{nil}
%define upstream_name    X11-Protocol-Other
%define upstream_version 31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Video modes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/X11/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(X11::Protocol)
BuildRequires: perl-devel

%description
This module encodes and decodes X11 ICCCM "compound text" strings.

    x11-compound-text

Compound text is found in window properties of type 'COMPOUND_TEXT'. It's
not usual to use it outside that context. Compound text consists of
ISO-2022 style escape sequences switching among various basic charsets,
including the ISO-8859 series, JIS, KSC, and GB.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Mar 17 2022 umeabot <umeabot> 31.0.0-4.mga9
+ Revision: 1795187
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 31.0.0-3.mga8
+ Revision: 1526979
- Mageia 8 Mass Rebuild

* Mon Jul 08 2019 kekepower <kekepower> 31.0.0-2.mga8
+ Revision: 1419462
- Update to versino 31

* Fri Sep 21 2018 umeabot <umeabot> 30.0.0-2.mga7
+ Revision: 1294031
- Mageia 7 Mass Rebuild

* Fri Mar 16 2018 kekepower <kekepower> 30.0.0-1.mga7
+ Revision: 1209972
- imported package perl-X11-Protocol-Other


* Fri Mar 16 2018 cpan2dist 30-1mga
- initial mageia release, generated with cpan2dist
